# upstream

# Revision 18

* Enhancement: Install the changelog

# Revision 17

* Enhancement: prevent installing internal source code files
* Fix: HttpServer: Reduce number of http connections

# Revision 16

* Fix: BCMFlashSink: Invalidate unused firmware partition
* Fix: MQTTClient: proper handling of hashmark topics

# Revision 15

* Enhancement: Add PVT monitoring

# Revision 14

* Fix: deactivate entering of forced breakpoints for release builds
* Fix: activate WatchDog trigger
* Fix: reactivate mTLS for MQTT client implementation
* Fix: workaround potential 100BASE-T1 link-up failure after power cycle
* Add MQTT-broker list access via "/mqtt" path
  * libperiCORE based nodes provide a list of discovered mqtt-brokers, acquired via dns-sd announcements.
* Firmware rebranding support
  * support rebranded products with dedicated firmware from any periNODE
* Fix: Let firmware reset also fall back to production firmware.

# Revision 13 and before

* add internal C++ API
  * MQTT-Endpoints
  * Event-driven I2C, UART, GPIO
* add support for custom firmware development
  * add internal API (std C++20)
  * add application development container (including toolchain)
  * add pre-compiled library for periCORE base functionality

# Revision 12 and before

* TLS1.2 for MQTT client and HTTP server
* RBAC - role based access control via mTLS
* HTTP server
* RESTful API
* mDNS resolver/responder
* LLMNR protocol implementation
* DNS-SD service announcement (_https._tcp)
* TCP/IPv6 stack
* JSON-De/Serializer
* Add peripheral interfaces, UART, I2C and GPIO
